package net.sf.alchim.codeplus.spoonprocessor;

import spoon.template.Parameter;
import spoon.template.Template;
import spoon.template.TemplateParameter;

public class CheckBeforeTemplate implements Template{
    @Parameter
    private String _checkLabel_;


    TemplateParameter<Boolean> _checkExpr_;

    public CheckBeforeTemplate(String checkLabel, TemplateParameter<Boolean> checkExpr) {
        _checkLabel_ = "("+checkLabel+")" + " is false";
        _checkExpr_ = checkExpr;
    }

    public void check() {
        if ((_checkExpr_.S()) == false) {
            throw new IllegalArgumentException(_checkLabel_);
        }
    }

}
