package net.sf.alchim.codeplus.spoonchecker;

import spoon.reflect.code.CtCatch;

/**
 * Report warnings when empty catch blocks are found.
 */
public class EmptyCatchAnalyzer extends AbstractAnalyzer<CtCatch> {

    @Override
    public void analyze(CtCatch element) {
        if (element.getBody().getStatements().size() == 0) {
            report(element, "empty catch clause");
        }
    }

}
